Subject: FSM Manual Stop

From: "Tom Petch" <[email-masked]>
Date: Tue, 17 Sep 2002 19:32:25 +0100

Two minor points in the FSM.

Manual stop resets the ConnectRetryCnt to zero everywhere except when
the FSM is already Idle when Manual stop is ignored.  Is this what is
intended?  Or when in Idle
state, should Manual stop still act as a general reset, resetting
counts and timers?  (Idle state can be entered as things stand with
ConnectRetryCnt non-zero).

And I notice that Manual start is ignored in Active state so if there
is a
need to get from Active to Connect state, then it is necessary to
Manual stop and
then Manual start.  Is this the intended design (as opposed to a
possible oversight)?

Tom Petch
[email-masked]